Package Halberd :: Module crew :: Class WorkCrew |
[show private | hide private]
[frames | no frames]

## Class WorkCrew

Pool of scanners working in parallel.

Method Summary
| `__init__(self, scantask)`
| ``scan`(self)` Perform a parallel load-balancer scan.

Instance Variable Summary
| `prev`: Previous SIGINT handler.
`ScanTask` | `task`: A reference to scantask.
`bool` | `working`: Indicates whether the crew is working or idle.

Method Details

### scan(self) Perform a parallel load-balancer scan.

Instance Variable Details

### prev Previous SIGINT handler.

### task A reference to scantask. Type: `ScanTask`

### working Indicates whether the crew is working or idle. Type: `bool`

Generated by Epydoc 2.1 on Thu Aug 24 19:08:31 2006 | http://epydoc.sf.net